<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup Label="Globals">
    <SccProjectName>SAK</SccProjectName>
    <SccProvider>SAK</SccProvider>
    <SccAuxPath>SAK</SccAuxPath>
    <SccLocalPath>SAK</SccLocalPath>
  </PropertyGroup>

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <_ContentIncludedByDefault Remove="wwwroot\Content\all.min.css" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-Black.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-BlackItalic.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-Bold.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-BoldItalic.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-Italic.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-Light.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-LightItalic.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-Medium.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-MediumItalic.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-Regular.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-Thin.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Roboto-ThinItalic.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Satoshi-Black.otf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\FUENTES\Satoshi-Regular.otf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\icon\facebook.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\icon\instagram.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\icon\linkedin.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\icon\list.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\icon\person-fill.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\icon\rss.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\icon\search.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\icon\twitter.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\icon\universal-access-circle.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\icon\youtube.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\1oaaflogo.png" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\404.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\cargaOAAF.gif" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\dropParlamento.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\faviconParlamento.ico" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\faviconParlamento.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\hercules.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\list.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-datosabiertos-secondary.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-parlamento-blanco.png" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-parlamento-blanco.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-parlamento-blanco@2x.png" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-parlamento-movil.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-parlamento.png" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-parlamento.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-parlamento@2x.png" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-subportal-blanco.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-subportal-movil.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-subportal-secondary.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-subportal.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logo-transparencia.svg" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logoParlamento.png" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\logoParlamentoW.png" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\mid-logo-list.png" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\mid-logo-list@2x.png" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\mid-logo-modal.png" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\imagenes\mid-logo-modal@2x.png" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\Site.css" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\webfonts\fa-brands-400.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\webfonts\fa-regular-400.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\webfonts\fa-solid-900.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Content\webfonts\fa-v4compatibility.ttf" />
    <_ContentIncludedByDefault Remove="wwwroot\Scripts\all.min.js" />
    <_ContentIncludedByDefault Remove="wwwroot\Scripts\bootstrap.bundle.min.js" />
    <_ContentIncludedByDefault Remove="wwwroot\Scripts\bootstrap.min.js" />
    <_ContentIncludedByDefault Remove="wwwroot\Scripts\jquery.min.js" />
    <_ContentIncludedByDefault Remove="wwwroot\Scripts\modernizr-2.8.3.js" />
    <_ContentIncludedByDefault Remove="wwwroot\Scripts\popper.min.js" />
    <_ContentIncludedByDefault Remove="wwwroot\Scripts\Util.js" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Blazor.Bootstrap" Version="3.3.1" />
    <PackageReference Include="ClosedXML" Version="0.105.0-rc" />
    <PackageReference Include="MigraDocCore.DocumentObjectModel" Version="1.3.67" />
    <PackageReference Include="MigraDocCore.Rendering" Version="1.3.67" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Serialize.Linq" Version="4.0.167" />
    <PackageReference Include="tsDocumentos" Version="1.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\bdAntifraude\bdAntifraude.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="tsUtilidades">
      <HintPath>..\..\..\..\Comun\tsUtilidades\bin\Debug\net8.0\tsUtilidades.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <Content Update="wwwroot\app.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\favicon.png">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\faviconParlamento.png">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Components\ViewModels\" />
  </ItemGroup>

</Project>
